/*  This file is part of epubgrep.
 *  Copyright © 2021 tastytea <tastytea@tastytea.de>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as published by
 *  the Free Software Foundation, version 3.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Affero General Public License for more details.
 *
 *  You should have received a copy of the GNU Affero General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef EPUBGREP_ZIP_HPP
#define EPUBGREP_ZIP_HPP

#include "fs-compat.hpp"

#include <stdexcept>
#include <string>
#include <vector>

namespace epubgrep::zip
{

std::vector<std::string> list(const fs::path &filepath);

class exception : public std::runtime_error
{
public:
    using std::runtime_error::runtime_error;
};

} // namespace epubgrep::zip

#endif // EPUBGREP_ZIP_HPP
